Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360688 - event decoding changed 4.4.7 -> 4.6.4 breaking user space apps.
Summary: event decoding changed 4.4.7 -> 4.6.4 breaking user space apps.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 10:51 UTC by Alec Leamas
Modified: 2016-09-14 11:02 UTC (History)
7 users (show)

Fixed In Version: kernel-4.8.0-0.rc5.git1.1.fc25 kernel-4.7.3-200.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-13 18:10:00 UTC


Attachments (Terms of Use)
logs from 4.4.7 (deleted)
2016-07-27 10:51 UTC, Alec Leamas
no flags Details
4.6.4 log (deleted)
2016-07-27 10:51 UTC, Alec Leamas
no flags Details
Bisecty log (deleted)
2016-08-01 16:19 UTC, Alec Leamas
no flags Details
rc_core: restore repeat events. (deleted)
2016-08-25 12:00 UTC, Alec Leamas
no flags Details | Diff

Description Alec Leamas 2016-07-27 10:51:06 UTC
Created attachment 1184587 [details]
logs from 4.4.7

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce using kernels 4.4.7 and 4..6.4:
1. Connect a IR remote supported by the kernel
2. Run ir-keytable -t
3  Keep a button like volume up pressed for several  seconds
3. Inspect the resulting output

Actual results:

Output differs


Expected results:

Output should be the same


Additional info:

This breaks lirc, which expect output as of 4.4.7 and before.

Reportedly, 4.5.1 also emitted output like 4.4.7. Not confirmed by me, though.

The issue is discussed on the lirc mailing list [1]

Attaching ir-keytable logs form 4.4.7 and 4.6.4



[1] https://sourceforge.net/p/lirc/mailman/lirc-list/thread/1440225416.1242925.1468076347736.JavaMail.yahoo%40mail.yahoo.com/#msg35224277

Comment 1 Alec Leamas 2016-07-27 10:51:49 UTC
Created attachment 1184589 [details]
4.6.4  log

Comment 2 Laura Abbott 2016-07-27 15:47:00 UTC
We've had breakages before (see https://bugzilla.redhat.com/show_bug.cgi?id=1260862) and they need to be reported to the upstream kernel maintainer directly. Can you run a git bisect to identify which commit specifically broke things?

Comment 3 Alec Leamas 2016-08-01 16:15:59 UTC
After some days of multitasking (bisecting & harvesting currant):


first bad commit: [078600f514a12fd763ac84c86af68ef5b5267563] [media] rc-core: allow calling rc_open with device not initialized

Given what (not) happened to bug #1260862, perhaps you could file the kernel bug? Obviously, not much happens when I file one :(

Comment 4 Alec Leamas 2016-08-01 16:19:11 UTC
Created attachment 1186453 [details]
Bisecty log

Comment 5 Alec Leamas 2016-08-08 12:48:29 UTC
OK then... filed bug, see https://sourceforge.net/p/lirc/mailman/message/35267107/. Sent to maintainers as of get_maintainers.pl on the seemingly bad commit.

Comment 6 Alec Leamas 2016-08-08 17:47:23 UTC
Seems that this has been resolved upstream: http://www.spinics.net/lists/linux-media/msg103384.html. Leaving this bug open until the fix lands in fedora kernel.

@laura: Any chance of adding the upstream patch  to current, broken kernel?

Comment 7 Laura Abbott 2016-08-09 17:59:19 UTC
I don't see an ack from the maintainer on it. The merge window just closed a few days ago so I'd like to give it a little more time to see if anyone has any objections. If there's been no response by Friday we can bring it into Fedora.

Comment 8 Alec Leamas 2016-08-18 18:56:53 UTC
@laura: That was last Friday, time flies. Do you expect anything from me here?

Comment 9 Laura Abbott 2016-08-19 16:47:34 UTC
Can you get me the patch to bring in? If you are on the e-mail thread it would also be good to send another request for review.

Comment 10 Alec Leamas 2016-08-25 12:00:10 UTC
Created attachment 1193994 [details]
rc_core: restore repeat events.

Sorry, I missed your message somehow. Too much noise.

Anyway, attaching a patch. I have submitted builds at copr [1], but the system seems flooded with large builds (and I add another one), so it will take some time. Perhaps some admin in some timezone can fix things. I will return once I have verified this patch, but needs clear my desk for now.

I'm not on that list, and I don't have the skills to make something meaningful there, I guess. So, I havn't requested a review. Should I, given all this?

[1] https://copr.fedorainfracloud.org/coprs/leamas/lirc-0.9.4-preview/

Comment 11 Alec Leamas 2016-08-26 01:48:55 UTC
nirik into action, COPR builders OK again and indeed, the patch works fine.

Comment 12 Laura Abbott 2016-08-29 20:53:22 UTC
I'll pull the patch into branches. In the interest of encouraging upstream, start another e-mail thread on linux-media@vger.kernel.org indicating the problem and pointing to the patch as a solution. Make sure to e-mail maintainers (Mauro Carvalho Chehab plus Hans Verkuil) along with the patch author.

Comment 13 Fedora Update System 2016-09-07 17:53:08 UTC
kernel-4.8.0-0.rc5.git1.1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0f0a455d84

Comment 14 Fedora Update System 2016-09-08 15:41:38 UTC
kernel-4.7.3-200.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9d5f8f03f

Comment 15 Fedora Update System 2016-09-08 15:42:24 UTC
kernel-4.7.3-100.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-91fb402c7f

Comment 16 Fedora Update System 2016-09-09 06:26:07 UTC
kernel-4.8.0-0.rc5.git1.1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0f0a455d84

Comment 17 Fedora Update System 2016-09-09 17:56:35 UTC
kernel-4.7.3-100.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-91fb402c7f

Comment 18 Fedora Update System 2016-09-12 15:27:35 UTC
kernel-4.7.3-200.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9d5f8f03f

Comment 19 Fedora Update System 2016-09-13 18:09:55 UTC
kernel-4.8.0-0.rc5.git1.1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-09-13 22:22:43 UTC
kernel-4.7.3-200.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-09-14 01:18:49 UTC
kernel-4.7.3-100.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Alec Leamas 2016-09-14 11:02:08 UTC
(In reply to Laura Abbott from comment #12)
> In the interest of encouraging upstream,
> start another e-mail thread on linux-media@vger.kernel.org indicating the
> problem and pointing to the patch as a solution. Make sure to e-mail
> maintainers (Mauro Carvalho Chehab plus Hans Verkuil) along with the patch
> author.

For the record: http://www.spinics.net/lists/linux-media/msg105457.html


Note You need to log in before you can comment on or make changes to this bug.